in scala
object Iterator

`object` Iterator
  `extends` java.lang.Object
  `with` scala.ScalaObject

  The `Iterator` object provides various functions for creating specialized iterators.

Author:
  Martin Odersky
Author:
  Matthias Zenger
Version:
  1.1, 04/02/2004

Constructor Summary
| `def` this

Def Summary
| `def` empty [a] : java.lang.Object with scala.Iterator[a]
| `def` from (lo: scala.Int) : scala.Iterator[scala.Int] Create an iterator with elements `en+1 = en + 1` where `e0 = lo`.
| `def` from (lo: scala.Int, step: scala.Function1[scala.Int, scala.Int]) : scala.Iterator[scala.Int] Create an iterator with elements `en+1 = step(en)` where `e0 = lo`.
| `def` from (lo: scala.Int, step: scala.Int) : scala.Iterator[scala.Int] Create an iterator with elements `en+1 = en + step` where `e0 = lo`.
| `def` fromArray [a] (xs: scala.Array[a]) : scala.Iterator[a]
| `def` fromArray [a] (xs: scala.Array[a], start: scala.Int, length: scala.Int) : scala.Iterator[a]
| `def` fromCaseClass (n: scala.CaseClass) : scala.Iterator[scala.Any]
| `def` fromString (str: java.lang.String) : scala.Iterator[scala.Char]
| `def` fromValues [a] (xs: a*) : scala.Iterator[a]
| `def` range (lo: scala.Int, end: scala.Int) : scala.Iterator[scala.Int] Create an iterator with elements `en+1 = en + 1` where `e0 = lo` and `ei < end`.
| `def` range (lo: scala.Int, end: scala.Int, step: scala.Function1[scala.Int, scala.Int]) : scala.Iterator[scala.Int] Create an iterator with elements `en+1 = step(en)` where `e0 = lo` and `ei < end`.
| `def` range (lo: scala.Int, end: scala.Int, step: scala.Int) : scala.Iterator[scala.Int] Create an iterator with elements `en+1 = en + step` where `e0 = lo` and `ei < end`.
| `def` single [a] (x: a) : java.lang.Object with scala.Iterator[a]

Constructor Detail

`def` this

Def Detail

`def` empty [a]: java.lang.Object with scala.Iterator[a]

`def` from (lo: scala.Int): scala.Iterator[scala.Int]

  Create an iterator with elements `en+1 = en + 1` where `e0 = lo`.

Parameters:
  `lo -` the start value of the iterator
Returns:
  the iterator starting at value `lo`.

`def` from (lo: scala.Int, step: scala.Function1[scala.Int, scala.Int]): scala.Iterator[scala.Int]

  Create an iterator with elements `en+1 = step(en)` where `e0 = lo`.

Parameters:
  `lo -` the start value of the iterator
Parameters:
  `step -` the increment function of the iterator
Returns:
  the iterator starting at value `lo`.

`def` from (lo: scala.Int, step: scala.Int): scala.Iterator[scala.Int]

  Create an iterator with elements `en+1 = en + step` where `e0 = lo`.

Parameters:
  `lo -` the start value of the iterator
Parameters:
  `step -` the increment value of the iterator
Returns:
  the iterator starting at value `lo`.

`def` fromArray [a](xs: scala.Array[a]): scala.Iterator[a]

`def` fromArray [a](xs: scala.Array[a], start: scala.Int, length: scala.Int): scala.Iterator[a]

Parameters:
  `xs -` ...
Parameters:
  `start -` ...
Parameters:
  `length -` ...
Returns:
  ...

`def` fromCaseClass (n: scala.CaseClass): scala.Iterator[scala.Any]

`def` fromString (str: java.lang.String): scala.Iterator[scala.Char]

`def` fromValues [a](xs: a*): scala.Iterator[a]

`def` range (lo: scala.Int, end: scala.Int): scala.Iterator[scala.Int]

  Create an iterator with elements `en+1 = en + 1` where `e0 = lo` and `ei < end`.

Parameters:
  `lo -` the start value of the iterator
Parameters:
  `end -` the end value of the iterator
Returns:
  the iterator with values in range [lo;end).

`def` range (lo: scala.Int, end: scala.Int, step: scala.Function1[scala.Int, scala.Int]): scala.Iterator[scala.Int]

  Create an iterator with elements `en+1 = step(en)` where `e0 = lo` and `ei < end`.

Parameters:
  `lo -` the start value of the iterator
Parameters:
  `end -` the end value of the iterator
Parameters:
  `step -` the increment function of the iterator
Returns:
  the iterator with values in range [lo;end).

`def` range (lo: scala.Int, end: scala.Int, step: scala.Int): scala.Iterator[scala.Int]

  Create an iterator with elements `en+1 = en + step` where `e0 = lo` and `ei < end`.

Parameters:
  `lo -` the start value of the iterator
Parameters:
  `end -` the end value of the iterator
Parameters:
  `step -` the increment value of the iterator (must be positive or negative)
Returns:
  the iterator with values in range [lo;end).

`def` single [a](x: a): java.lang.Object with scala.Iterator[a]